<?php
#### Set variables here ###########
#
$number_of_images = 3;           // set the number of images to be displayed
$image_thumb_marker = '-t.jpg';  // set the tag to tell image thumbs apart
#
###################################

function getFiles($directory) {
    // Try to open the directory
    if($dir = opendir($directory)) {
        // Create an array for all files found
        $tmp = Array();

        // Add the files
        while($file = readdir($dir)) {
            // Make sure the file exists
            if($file != "." && $file != ".." && $file[0] != '.') {
                // If it's a directory, list all files within it
                if(is_dir($directory . "/" . $file)) {
                    $tmp2 = getFiles($directory . "/" . $file);
                    if(is_array($tmp2)) {
                        $tmp = array_merge($tmp, $tmp2);
                    }
                } else {
                    array_push($tmp, $directory . "/" . $file);
                }
            }
        }

        // Finish off the function
        closedir($dir);
        return $tmp;
    }
}

// Example of use
# print_r(getFiles('.')); //Find all files in the current directory and all subdirectories

$photo_array = getFiles('.');

$i = 1;
while ($i <= $number_of_images) {
            $random = array_rand($photo_array); //generates the random number from the array
	    $grab_file = $photo_array[$random]; //grab a random file from the array 
	    $grab_image = strtolower($grab_file);
		$found_thumb = strpos($grab_image, $image_thumb_marker); 
		#echo $found_thumb ;
		#echo $grab_file ; 
		#echo $grab_image ; // lowercase version of $grab_file
		#echo $image_thumb_marker ;
		if ($found_thumb === false) {
 		//do nothing
		} else {
		#echo "Found '$image_thumb_marker' in '$grab_image'";
                $grab_full_path = str_replace("./","./",$grab_file);
		$random_image .= "<a href='http://memory.loc.gov/ammem/award98/ienhtml/curthome.html'><img src='" . $grab_full_path . "'/></a>" . "\n";
		$i++; 
		}
}
      #  echo $random_image; // print result



